<?php

class Plugin_pre extends Plugin
{
	function do_block($pagename, $param1, $param2)
	{
		return '<pre>' . htmlspecialchars($param2) . '</pre>';
	}
	
	
	function do_inline($pagename, $param1, $param2)
	{
		$str = mb_ereg_replace(' ', '&nbsp;', htmlspecialchars($param2));
		return '<span class="plugin_pre_inline">' . $str . '</span>';
	}
}

?>